@import "./navigation.css";
@import "./global.css";

/*HEADER HOME =================== */
:root {
  --poppins: 'Poppins', sans-serif;
  --gradient-verde-verde: linear-gradient(90deg, #0ABBB5 0%, #04E7DF 100%);
  --gradient-verde-escuro: linear-gradient(90deg, #004B49 0%, #006663 100%);
}

html {
  scroll-behavior: smooth;
}

body {
  background-color: var(--gradient-verde-escuro);
}

#home {
  background-image: url(../assets/GRADIENTE-BG-SERGIOAIDAR-_1_.webp);
  background-size: cover;
  height: 110vh;

  position: relative;
}

#home .content {
    width: 100%;
    height: 110vh;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#home .content .text {
  margin-left: 1rem;
  margin-top: 10rem;
  z-index: 2;
}

#home .content .text h1 {
  font-size: 2rem;
  color: var(--text-blue-white);
  font-weight: 400;
  margin-bottom: 2rem;

  line-height: 1.6;
}

#home .content .text h1 span {
  font-weight: 700;
  color: #fff;
}

#home .content .text .buttons {
  display: flex;
  align-items: center;
  gap: 2rem;
}

#home .content .text a button {
  font-family: var(--poppins);

  background: var(--gradient-verde-verde);
  border-radius: 1rem;
  padding: 1rem 2rem;
  border: none;
  color: var(--text-blue-black);
  font-weight: 500;

  transition: all 200ms ease-in-out;
}

#home .content .text a button:hover {
  box-shadow: 1px 1px 20px #00425775;
  cursor: pointer;
}

#home .content .image {
  margin-top: 5rem;
  margin-bottom: -7.2rem;

  display: flex;
  justify-content: center;
}

#home .content .image img.sergio {
  width: 100%;
  position: relative;
  z-index: 2;

  animation: moveSergio infinite ease-in-out 4s;
}

@keyframes moveSergio {
  50% {
    transform: scale(1.0050) rotate(1deg);
  }
}
/*SERVICES=================== */
#services {
  background: var(--gradient-verde-escuro);
}

#services .logoSmall {
  display: none;
}

#services .cards {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 5rem;
}

#services .cards .card {
  background: var(--white);
  border-radius: 1rem;
  padding: 2rem;
  border: 1px solid #00a597;

  box-shadow:  10px 10px 21px #00403e,
  -10px -10px 21px #005654;
}

#services .cards .card img {
  background-color: var(--text-blue-black);
  padding: 1.2rem;
  border-radius: 1rem;
  width: 6rem;
  margin-bottom: 1rem;
}

#services .cards .card h3 {
  color: var(--text-blue-black);
  font-size: 2rem;
  margin-bottom: .5rem;
}

#services .cards .card p {
  color: var(--text-blue-black);
  font-family: var(--poppins);
  font-size: 1.4rem;
  font-weight: 300;
  line-height: 1.6;
}

#services .cards .card details {
  margin-bottom: 2rem;
  margin-top: .5rem;
}

#services .cards .card details p {
  background-color: var(--blue-200);
  padding: 2rem;
  border-radius: .5rem;
}

#services .cards .card details summary {
  font-family: var(--poppins);
  color: var(--text-blue-black);
  font-size: 1.2rem;
  cursor: pointer;
  border-radius: .5rem;
  font-weight: 700;
}

#services .cards .card a {
  text-decoration: none;
}

#services .cards .card a button {
  margin-top: 2rem;
  display: flex;
  align-items: center;
  gap: .5rem;
  color: var(--text-blue-black);
  background-color: transparent;
  border-radius: 1rem;
  border: none;

  transition: all 200ms ease-in-out;
}

#services .cards .card a button:hover {
  font-weight: 700;
  cursor: pointer;
}

#services .cards .card a button ion-icon {
  color: var(--text-blue-black);
}
/*CIRURGIAS=================== */
#cirurgiasDesktop {
  display: none;
}

#cirurgias {
  background: var(--white);
}

#cirurgias header h2 {
  text-align: center;
  margin-bottom: 5rem;
  color: var(--text-blue-black);
  font-size: 3rem;
}

#cirurgias .cards {
  display: flex;
  align-items: start;
  flex-direction: column;
  gap: 5rem;
}

#cirurgias .cards .card {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
  gap: 4rem;
  padding: 2rem;
  background: var(--gradient-verde-escuro);
  width: 100%;
  border-radius: 1rem;
  border-left: 2px solid var(--text-blue-black);

  box-shadow:  10px 10px 21px #cdcdcd,
             -10px -10px 21px #ffffff;

  position: relative;
}

#cirurgias .cards .card img {
  width: 10rem;
  position: absolute;
  right: 5%;

  filter: drop-shadow(2px 2px 10px #004237);
}

#cirurgias .cards .card .text {
  position: relative;
}

#cirurgias .cards .card .text h3 {
  font-size: 1.8rem;
  margin-bottom: .5rem;
  color: var(--text-blue-white);
}

#cirurgias .cards .card .text ul {
  font-size: 1.4rem;
  font-family: var(--poppins);
  color: var(--blue-200);
  font-weight: 400;
  margin-bottom: 2rem;
}

#cirurgias .cards .card .text a {
  text-decoration: none;
}

#cirurgias .cards .card .text a button {
    font-family: var(--poppins);
    display: flex;
    align-items: center;
    gap: .5rem;
    background: var(--white);
    border-radius: 1rem;
    padding: 1rem 2rem;
    border: none;
    color: var(--text-blue-black);
    font-weight: 600;
    transition: all 200ms ease-in-out;
}

#cirurgias .cards .card .text a button ion-icon {
  color: var(--gradient-verde-verde);
}

#cirurgias .cards .card .text a button:hover {
  box-shadow: 1px 1px 10px #32adb67a;
}
/*MATERIAL=================== */
#material {
  background: var(--gradient-verde-escuro);
}

#material .content {
  margin-top: 10rem;
  background-image: url(../assets/BG\ EBOOK\ \(1\).jpg);
  background-size: cover;
  border-radius: 1rem;
  padding-top: 10rem;
  padding-bottom: 2rem;
  padding-inline: 2rem;
  position: relative;
  border: 2px solid #fff;

  box-shadow:  10px 10px 21px #00403e,
  -10px -10px 21px #005654;
}

#material .image {
  display: flex;
  justify-content: center;
}

#material .image img {
  width: 60%;
  position: absolute;
  top: -17rem;
  left: 5rem;

  animation: ease-in-out infinite moveMockup 2s;
}

@keyframes moveMockup {
  50% {
    transform: translateY(5px);
  }
}

#material .text {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

#material .text h2 {
  color: var(--text-blue-black);
  font-size: 3rem;
  margin-bottom: 1rem;
}

#material .text p {
  font-family: var(--poppins);
  font-size: 1.4rem;
  color: var(--text-blue-black);
  line-height: 1.6;
  font-weight: 400;
  text-align: center;
  margin-bottom: 2rem;
}

#material .text p span {
  font-family: var(--poppins);
  color: var(--text-blue-black);
  font-weight: 600;
}

#material .text a button {
  padding: 1rem 2rem;
  border-radius: 1rem;
  background: #fff;
  border: .8px solid var(--blue-800);
  font-weight: 700;
  font-family: var(--poppins);
  color: var(--text-blue-black);

  transition: all 200ms ease-in-out;
}

#material .text a button:hover {
  cursor: pointer;
  box-shadow: 1px 1px 20px #0043572f;
}
/*Sobre=================== */
#sobre {
  background-color: var(--white);
  position: relative;
}

#sobre::before {
  content: '';
  width: 100%;
  height: 2rem;
  background: var(--gradient-verde-escuro);
  position: absolute;
  top: 100%;
  left: 0;
  right: 0;
  z-index: 3;
}

#sobre .text-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

#sobre header h2 {
  color: var(--text-blue-black);
  font-size: 3rem;
  margin-bottom: 1rem;
}

#sobre .text p {
  margin-bottom: 4rem;

  font-family: var(--poppins);
  font-size: 1.4rem;
  color: #002e2c;
  line-height: 1.6;
  font-weight: 300;
  text-align: center;
}

#sobre .text p span {
  color: var(--text-blue-black);
  font-weight: 600;
}

#sobre .image {
  display: flex;
  justify-content: center;

  position: relative;
}

#sobre .image img {
  width: 80%;
  border-radius: 4rem;
  border: 3px solid var(--text-blue-black);
}

#sobre .image ion-icon {
  position: absolute;
  font-size: 3rem;
  z-index: 2;
  left: 7%;
  top: -3%;

  background-color: var(--text-blue-black);
  color: var(--text-blue-white);
  border-radius: 50%;
  padding: .8rem;

  animation: moveIonIcon infinite 2.5s ease-in-out;
}

@keyframes moveIonIcon {
  50% {
    transform: translateY(-4px);
  }
}
/*CONTATO=================== */
#contato {
  background: var(--gradient-verde-escuro);
}

#contato .content {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 4rem;
}

#contato header h2 {
  color: var(--text-blue-white);
  font-size: 3rem;
}

#contato .text {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

#contato .text .card {
  display: flex;
  gap: 1rem;
  align-items: center;
}

#contato .text ion-icon {
  font-size: 3rem;
  color: var(--text-blue-black);
  background-color: var(--text-blue-white);
  padding: 1rem;
  border-radius: 50%;

  box-shadow: 1px 1px 10px #008f8a;
}

#contato .text .card.local p {
  font-size: 1.4rem;
}

#contato .text p {
  font-size: 1.6rem;
  color: var(--text-blue-white);
  font-weight: 600;
}
/*Tecnologias=================== */
#tecnologias {
  background-color: var(--white);
}

#tecnologias header h2 {
  color: var(--text-blue-black);
  font-size: 3rem;
  margin-bottom: 1rem;
  text-align: center;
}

#tecnologias .cards .card {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding: 5rem;
}

#tecnologias .image {
  display: flex;
  justify-content: center;
  align-items: center;
  background: var(--gradient-verde-escuro);
  border-radius: 2rem 2rem 0 0;
  min-height: 30rem;
}

#tecnologias .image img {
  width: 50%;
  filter: drop-shadow(2px 2px 10px #002e2c);
}

#tecnologias .image img.prp {
  width: 80%;
}

#tecnologias .image img.lipomatic {
  width: 90%;
}

#tecnologias .text {
  text-align: center;

  background-color: var(--blue-200);
  padding: 2rem;

  border-radius: 0 0 2rem 2rem;

  min-height: 30rem;
}

#tecnologias .text h3 {
  font-size: 2rem;
  color: var(--text-blue-black);
  margin-bottom: 1rem;

  display: flex;
  align-items: center;
  gap: .3rem;
  justify-content: center;
}

#tecnologias .text h3 ion-icon {
  animation: moveIonIcon infinite 2s ease-in-out;
  color: var(--blue-900);
}

#tecnologias .text p {
  font-size: 1.2rem;
  color: #002e2c;
  font-weight: 300;
}

#tecnologias .wrapper svg.swiper-button-next {
  margin-right: -1rem;
}

#tecnologias .wrapper svg.swiper-button-prev {
  margin-left: -1rem;
}

#tecnologias .wrapper svg {
  transform: scale(2.5);
  transition: all 200ms ease-in-out;
}

#tecnologias .wrapper svg:hover {
  transform: scale(2.7);
  cursor: pointer;
}
/*localizacao=================== */
#localizacao {
  background-image: url(../assets/cebrom-_1_.webp);
  background-size: cover;
}

#localizacao .mapa {
  height: 30rem;
  padding-inline: 2.4rem;
}

#localizacao .mapa iframe {
  width: 100%;
  height: 100%;
  border-radius: 1rem;
}
/*footer=================== */
#footer {
  background: var(--white);
}

#footer .content {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 2rem;

  padding-block: 3rem;
}

#footer .content .logo img {
  width: 15rem;
}

#footer p {
  font-weight: 800;
  font-size: 1.4rem;
  color: var(--text-blue-black);
}

#footer .social ion-icon {
  font-size: 3rem;
  background: var(--gradient-verde-escuro);
  color: var(--text-blue-white);
  border-radius: 50%;
  padding: .5rem;

  transition: all 200ms ease-in-out;
  cursor: pointer;
}

#footer .social ion-icon:hover {
  box-shadow: 1px 1px 10px #4242422a;
}
/*button whatsapp=================== */
#buttonWhatsapp {
  position: fixed;
  bottom: 1rem;
  right: 1rem;
  z-index: 100;
  
  opacity: 0;
  visibility: hidden;
  
  transform: translateY(100%);
  transition: all 300ms ease-in-out;
  }
  
  #buttonWhatsapp.show {
  opacity: 1;
  visibility: visible;

  transform: translateY(0);
  }
  
  #buttonWhatsapp ion-icon {
    font-size: 3rem;
    background: var(--gradient-verde-verde);
    color: var(--text-blue-black);
    border-radius: 50%;
    padding: .8rem;

    transition: all 200ms ease-in-out;

    box-shadow: 1px 1px 20px #8888886c;
  }
  
  #backToTopButton ion-icon:hover {
    transform: scale(1.05);
  }
/*RESPONSIVE=================== */
@media (min-width: 768px) {
  .wrapper {
    width: min(80rem, 100%);
  }

  header#home .wrapper .content .text h1 {
    font-size: 3rem;
  }

  section#cirurgias .wrapper .cards {
    display: grid;
    grid-template-columns: 1fr 1fr;
  }

  section#cirurgias .wrapper .cards .card {
    min-height: 25rem;
  }

  section#tecnologias .wrapper .cards .card .text {
    min-height: 20rem;
  }

  section#tecnologias .cards .card .image img {
    width: 30%;
  }

  section#tecnologias .cards .card .image img.prp {
    width: 45%;
  }

  section#tecnologias .cards .card .image img.lipomatic {
    width: 40%;
  }

  section#material .wrapper .content .image img {
    width: 35%;
    left: -2rem;
    top: -30%;
  }

  section#material .wrapper .content {
    padding-top: initial;
    padding: 4rem;
    display: grid;
    grid-template-columns: 1fr 2fr;

    background-color: transparent;
  }

  section#contato .wrapper .content {
    flex-direction: row;
  }

  section#sobre .wrapper .content .image img {
    width: 50%;
  }

  section#sobre .wrapper .content .image ion-icon {
    left: 23%;
  }
}

@media (min-width: 1024px) {
  .wrapper {
    width: min(120rem, 100%);
  }

  section#cirurgiasDesktop header h2,
  section#sobre header h2,
  section#contato header h2,
  section#tecnologias header h2 {
    font-size: 4rem;
  }

  header#home {
    height: 100vh;
  }

  header#home .wrapper .content {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10rem;
    height: 100vh;
  }

  header#home .wrapper .content .text {
    margin-top: initial;
    text-align: start;
  }
  
  header#home .wrapper .content .text h1 {
    font-size: 3.5rem;
  }

  header#home .wrapper .content .image {
    display: flex;
    justify-content: end;
  }

  header#home .wrapper .content .image img.sergio {
    filter: none;
  }

  section#services {
    position: relative;
  }

  section#services .logoSmall {
    display: inherit;
    position: absolute;
    left: -5%;
    top: 10%;
    opacity: .3;
  }

  section#services .wrapper .cards {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
  }

  section#services .wrapper .cards .card {
    min-height: 20rem;
    padding-top: 5rem;
    position: relative;
  }

  section#services .wrapper .cards .card img {
    position: absolute;
    top: -2rem;
    left: -1rem;

    box-shadow: 2px 2px 10px #a0a0a0;
  }

  section#cirurgias .wrapper .cards {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
  }

  section#cirurgias .wrapper .cards .card {
    border: 2px solid var(--text-blue-black);
  }

  section#material .wrapper .content {
    margin-top: 5rem;
  }

  section#material .wrapper .content .image img {
    width: 30%;
    left: 5%;
  }

  section#sobre .wrapper .content {
    display: grid;
    grid-template-columns: 1fr 1fr;
  }

  section#sobre .wrapper .content .image {
    justify-content: end;
  }

  section#sobre .wrapper .content .image img {
    width: 70%;
  }
  
  section#sobre .wrapper .content .image ion-icon {
    left: 28%;
  }

  section#sobre .wrapper .content .text p {
    font-size: 1.6rem;
  }

  section#contato .wrapper .content {
    gap: 10rem;
  }

  section#contato .wrapper .content .text {
    flex-direction: row;
    gap: 3rem;
  }

  section#tecnologias .cards .card .image {
    min-height: 25rem;
  }

  section#tecnologias .cards .card .image img {
    width: 35%;
  }

  section#tecnologias .cards .card .image img.prp {
    width: 45%;
  }

  section#tecnologias .cards .card .image img.lipomatic {
    width: 50%;
  }

  section#tecnologias .wrapper .cards .card .text {
    min-height: 33rem;
  }

  section#tecnologias .cards .card P {
    font-size: 1.4rem;
  }
  section#localizacao .mapa {
    padding-inline: initial;
    margin-bottom: 3rem;
  }

  section#localizacao .mapa iframe {
    border-radius: 0;
    height: 35rem;
  }
}

@media (min-width: 1200px) {
  .wrapper {
    width: min(140rem, 100%);
  }

  header#home {
    height: 100vh;
  }

  header#home .wrapper .content {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10rem;
    height: 100vh;
  }

  header#home .wrapper .content .text {
    margin-top: initial;
    text-align: start;
  }

  header#home .wrapper .content .text h1 {
    font-size: 4rem;
    margin-bottom: 4rem;
  } 

  header#home .wrapper .content .text a button {
    font-size: 2rem;
  }

  section#services .wrapper .cards .card {
    min-height: 30rem;
  }

  section#cirurgias {
    display: none;
  }

  section#cirurgiasDesktop {
    display: inherit;
    background: var(--white);
  }
  
  section#cirurgiasDesktop header h2 {
    text-align: center;
    color: var(--text-blue-black);
  }

  section#cirurgiasDesktop .content {
    padding: 7rem;
  }

  section#cirurgiasDesktop .card {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    justify-content: space-between;
    gap: 3rem;

    min-height: 55rem;
  }

  section#cirurgiasDesktop .card .image {
  clip-path: polygon(30% 0%, 70% 0%, 100% 31%, 100% 70%, 70% 100%, 30% 100%, 0% 70%, 0% 30%);

    background: var(--gradient-verde-escuro);
    border-radius: 2rem;
    padding: 4rem;
    box-shadow:  10px 10px 21px #cdcdcd,
             -10px -10px 21px #ffffff;

    position: relative;
  }

  section#cirurgiasDesktop .card .image ion-icon {
    font-size: 5rem;
    top: -2rem;
    left: -2rem;
    position: absolute;
    color: #0ABBB5;

    animation: Check infinite ease-in-out 3s;
  }

  @keyframes Check {
    50% {
      opacity: .7;
    }
  }

  section#cirurgiasDesktop .card img {
    filter: drop-shadow(2px 2px 10px #414141);
  }

  section#cirurgiasDesktop .card .text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
  }
  
  section#cirurgiasDesktop .card h3 {
    font-size: 2.5rem;
    margin-bottom: 1rem;
    color: var(--text-blue-black);
  }

  section#cirurgiasDesktop .card p {
    font-size: 1.4rem;
    margin-bottom: 2rem;
    color: var(--text-blue-black);

    max-width: 70%;
  }

  section#cirurgiasDesktop .card a {
    text-decoration: none;
    text-align: center;
  }

  section#cirurgiasDesktop .card a button {
    font-family: var(--poppins);
    display: flex;
    align-items: center;
    gap: .5rem;
    background: #fff;
    border-radius: 1rem;
    padding: 1rem 2rem;
    border: .8px solid var(--blue-800);
    color: var(--text-blue-black);
    font-weight: 600;
    transition: all 200ms ease-in-out;
}

  section#cirurgiasDesktop .card a button:hover {
    box-shadow: 1px 1px 20px #0043572f;
    cursor: pointer;
}

  section#cirurgiasDesktop .wrapper svg {
    transform: scale(2.5);
    transition: all 200ms ease-in-out;
  }

  section#cirurgiasDesktop .wrapper svg:hover {
    transform: scale(2.7);
    cursor: pointer;
  }

  section#tecnologias .cards .card .image {
    min-height: 30rem;
  }

  section#tecnologias .wrapper .cards .card .text {
    min-height: 25rem;
  }

  section#material .wrapper {
    padding-inline: 10rem;
  }

  section#material .wrapper .content .image img {
    width: 25%;
  }

  section#material .wrapper .content .text h2 {
    font-size: 4rem;
  }

  section#material .wrapper .content .text p {
    font-size: 1.6rem;
  }
}

@media (min-width: 1400px) {
  .wrapper {
    width: min(170rem, 100%);
  }

  section#material .wrapper .content .image img {
    width: 20%;
  }

  section#tecnologias .cards .card .image img {
    width: 30%;
  }

  section#tecnologias .cards .card .image img.prp {
    width: 50%;
  }

  section#tecnologias .cards .card .image img.lipomatic {
    width: 60%;
  }

  section#tecnologias .cards .card .image {
    min-height: 20rem;
  }

  section#tecnologias .wrapper .cards .card .text {
    min-height: 30rem;
  }

  section#cirurgiasDesktop .card {
    min-height: 50rem;
  }
}




 